Zum Hauptinhalt springen

Integration mit Angular

Tipp

Stellen Sie sicher, dass Sie mit den grundlegenden Angular-Konzepten und -Mustern vertraut sind. Zur Auffrischung lesen Sie die Angular-Dokumentation.

DHTMLX RichText funktioniert mit Angular. Ein vollständiges Code-Beispiel finden Sie in der GitHub-Demo.

Projekt erstellen​

Info

Installieren Sie Angular CLI und Node.js, bevor Sie ein neues Projekt erstellen.

Erstellen Sie ein neues my-angular-richtext-app-Projekt mit Angular CLI:

ng new my-angular-richtext-app
Hinweis

Deaktivieren Sie Server-Side Rendering (SSR) und Static Site Generation (SSG/Prerendering), wenn Sie die Angular CLI während der Projekterstellung dazu auffordert.

Der Befehl installiert alle notwendigen Tools. Es sind keine weiteren Befehle erforderlich.

Abhängigkeiten installieren​

Wechseln Sie in das neue App-Verzeichnis:

cd my-angular-richtext-app

Installieren Sie die Abhängigkeiten und starten Sie den Entwicklungsserver mit dem yarn Paketmanager:

yarn
yarn start

Die App läuft auf localhost (zum Beispiel http://localhost:3000).

RichText erstellen​

Beenden Sie die App und installieren Sie das RichText-Paket.

Schritt 1. Paket installieren​

Laden Sie das RichText-Testpaket herunter und folgen Sie den Schritten in der README-Datei. Die Testlizenz ist 30 Tage gültig.

Schritt 2. Komponente erstellen​

Erstellen Sie eine Angular-Komponente, um RichText zur Anwendung hinzuzufügen. Erstellen Sie im Verzeichnis src/app/ den Ordner richtext und fügen Sie eine neue Datei namens richtext.component.ts hinzu.

Quelldateien importieren​

Öffnen Sie richtext.component.ts und importieren Sie die RichText-Quelldateien.

Für die PRO-Version, die aus einem lokalen Ordner installiert wurde, verwenden Sie:

import { Richtext } from 'dhx-richtext-package';

Für die Testversion verwenden Sie:

import { Richtext } from '@dhx/trial-richtext';

Dieses Tutorial verwendet die Testversion von RichText.

Container festlegen und RichText initialisieren​

Legen Sie ein Container-Element für RichText fest und initialisieren Sie die Komponente mit dem Richtext-Konstruktor innerhalb von ngOnInit(). Rufen Sie die Methode destructor() innerhalb von ngOnDestroy() auf, um aufzuräumen:

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext", // den "richtext"-Selektor in app.component.ts als <richtext /> verwenden
styleUrls: ["./richtext.component.css"], // CSS-Datei einbinden
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
// Container für RichText
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
// RichText-Komponente initialisieren
this._editor = new Richtext(this.richtext_container.nativeElement, {});
}

ngOnDestroy(): void {
this._editor.destructor(); // RichText zerstören
}
}

Styles hinzufügen​

Erstellen Sie die Datei richtext.component.css im Verzeichnis src/app/richtext/ mit den Styles für RichText und seinen Container:

richtext.component.css
/* RichText-Styles importieren */
@import "@dhx/trial-richtext/dist/richtext.css";

/* Basis-Seitenstyles */
html,
body{
height: 100%;
padding: 0;
margin: 0;
}

/* RichText-Container */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText-Widget */
.widget {
height: calc(100% - 56px);
}

Daten laden​

Stellen Sie Daten für RichText bereit. Erstellen Sie die Datei data.ts im Verzeichnis src/app/richtext/:

data.ts
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Öffnen Sie richtext.component.ts. Importieren Sie die Daten und übergeben Sie die value-Eigenschaft an die RichText-Konfiguration innerhalb von ngOnInit():

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // Daten importieren
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // Wert aus dem Datenmodul extrahieren
this._editor = new Richtext(this.richtext_container.nativeElement, {
value
// weitere Konfigurationseigenschaften
});
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

Alternativ können Sie die Methode setValue() innerhalb von ngOnInit() aufrufen, um Daten in RichText zu laden:

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // Daten importieren
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // Wert aus dem Datenmodul extrahieren
this._editor = new Richtext(this.richtext_container.nativeElement, {
// weitere Konfigurationseigenschaften
});

// Daten über die Methode setValue() anwenden
this._editor.setValue(value);
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

Die RichText-Komponente ist einsatzbereit. Angular rendert den Editor mit Daten, wenn das <richtext/>-Element eingebunden wird. Die vollständige Liste der Konfigurationsoptionen finden Sie in der RichText-API-Übersicht.

Events behandeln​

RichText löst Events bei Benutzeraktionen aus. Abonnieren Sie Events mit der Methode api.on(), um auf Benutzereingaben zu reagieren. Weitere Informationen finden Sie in der vollständigen Event-Liste.

Öffnen Sie richtext.component.ts und aktualisieren Sie die Methode ngOnInit(). Das folgende Beispiel protokolliert eine Meldung bei jedem print-Event:

richtext.component.ts
// ...
ngOnInit() {
this._editor = new Richtext(this.richtext_container.nativeElement, {});

this._editor.api.on("print", () => {
console.log("The document is printing");
});
}

ngOnDestroy(): void {
this._editor.destructor();
}

Schritt 3. RichText zur App hinzufügen​

Öffnen Sie src/app/app.component.ts und ersetzen Sie den Standardcode durch den <richtext/>-Selektor:

app.component.ts
import { Component } from "@angular/core";

@Component({
selector: "app-root",
template: `<richtext/>`
})
export class AppComponent {
name = "";
}

Erstellen Sie src/app/app.module.ts und deklarieren Sie die RichTextComponent:

app.module.ts
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";

import { AppComponent } from "./app.component";
import { RichTextComponent } from "./richtext/richtext.component";

@NgModule({
declarations: [AppComponent, RichTextComponent],
imports: [BrowserModule],
bootstrap: [AppComponent]
})
export class AppModule {}

Öffnen Sie src/main.ts und ersetzen Sie den Inhalt durch den Bootstrap-Code:

main.ts
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
.bootstrapModule(AppModule)
.catch((err) => console.error(err));

Starten Sie die App, um zu sehen, wie RichText mit Daten auf der Seite gerendert wird.

In einer Angular-Anwendung gerendertes DHTMLX RichText mit Beispielinhalt

Sie haben jetzt eine funktionierende RichText-Integration in Angular. Passen Sie den Code an Ihre Bedürfnisse an. Ein vollständiges Beispiel ist auf GitHub verfügbar.

Zum Hauptinhalt springen

Integration mit React

Tipp

Stellen Sie sicher, dass Sie mit den grundlegenden React-Konzepten und -Mustern vertraut sind. Zur Auffrischung lesen Sie die React-Dokumentation.

DHTMLX RichText funktioniert mit React. Ein vollständiges Codebeispiel finden Sie in der GitHub-Demo.

Projekt erstellen​

Info

Installieren Sie Node.js und (optional) Vite, bevor Sie ein neues Projekt erstellen.

Erstellen Sie mit Create React App ein neues my-react-richtext-app-Projekt:

npx create-react-app my-react-richtext-app

Abhängigkeiten installieren​

Wechseln Sie in das neue App-Verzeichnis:

cd my-react-richtext-app

Installieren Sie die Abhängigkeiten und starten Sie den Entwicklungsserver mit einem Paketmanager.

Für yarn führen Sie aus:

yarn
yarn start

Für npm führen Sie aus:

npm install
npm start

Die App läuft auf localhost (zum Beispiel http://localhost:3000).

RichText erstellen​

Stoppen Sie die App und installieren Sie das RichText-Paket.

Schritt 1. Paket installieren​

Laden Sie das RichText-Testpaket herunter und folgen Sie den Schritten in der README-Datei. Die Testlizenz ist 30 Tage gültig.

Schritt 2. Komponente erstellen​

Erstellen Sie eine React-Komponente, um RichText zur Anwendung hinzuzufügen. Erstellen Sie im Verzeichnis src/ eine neue Datei namens Richtext.jsx.

Quelldateien importieren​

Öffnen Sie Richtext.jsx und importieren Sie die RichText-Quelldateien.

Für die PRO-Version, die aus einem lokalen Ordner installiert wurde, verwenden Sie:

Richtext.jsx
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';

Für die Testversion verwenden Sie:

Richtext.jsx
import { Richtext } from '@dhx/trial-richtext';
import "@dhx/trial-richtext/dist/richtext.css";

Dieses Tutorial verwendet die Testversion von RichText.

Container festlegen und RichText initialisieren​

Legen Sie ein Container-Element für RichText fest und initialisieren Sie die Komponente mit dem Richtext-Konstruktor innerhalb von useEffect(). Rufen Sie die destructor()-Methode in der Cleanup-Funktion auf, um RichText zu entfernen:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css'; // RichText-Styles einbinden

export default function RichTextComponent(props) {
let richtext_container = useRef(); // Container für RichText

useEffect(() => {
// RichText-Komponente initialisieren
const editor = new Richtext(richtext_container.current, {});

return () => {
editor.destructor(); // RichText zerstören
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Styles hinzufügen​

Fügen Sie die Styles für RichText und seinen Container zur Haupt-CSS-Datei des Projekts hinzu:

index.css
/* Basis-Seitenstile */
html,
body,
#root {
height: 100%;
padding: 0;
margin: 0;
}

/* RichText-Container */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText-Widget */
.widget {
height: calc(100% - 56px);
}

Daten laden​

Stellen Sie Daten für RichText bereit. Erstellen Sie die Datei data.js im Verzeichnis src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Öffnen Sie App.js und importieren Sie die Daten. Übergeben Sie den Wert als Prop an die <RichText/>-Komponente:

App.js
import RichText from "./Richtext";
import { getData } from "./data";

function App() {
const { value } = getData();
return <RichText value={value} />;
}

export default App;

Öffnen Sie Richtext.jsx und übergeben Sie props.value an die RichText-Konfiguration:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
value: props.value, // Wert anwenden
// weitere Konfigurationseigenschaften
});

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Alternativ können Sie die setValue()-Methode innerhalb von useEffect() aufrufen, um Daten in RichText zu laden:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

let value = props.value;

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
// Konfigurationseigenschaften
});

editor.setValue(value);

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Die RichText-Komponente ist einsatzbereit. React rendert den Editor mit Daten, wenn das <RichText/>-Element eingebunden wird. Die vollständige Liste der Konfigurationsoptionen finden Sie in der RichText-API-Übersicht.

Events behandeln​

RichText löst Events bei Benutzeraktionen aus. Abonnieren Sie Events mit der api.on()-Methode, um auf Benutzereingaben zu reagieren. Siehe die vollständige Event-Liste.

Öffnen Sie Richtext.jsx und aktualisieren Sie den useEffect()-Hook. Das folgende Beispiel protokolliert bei jedem print-Event eine Meldung:

Richtext.jsx
// ...
useEffect(() => {
const editor = new Richtext(richtext_container.current, {});

editor.api.on("print", () => {
console.log("The document is printing");
});

return () => {
editor.destructor();
};
}, []);
// ...

Starten Sie die App, um zu sehen, wie RichText mit Daten auf der Seite gerendert wird.

In einer React-Anwendung gerendertes DHTMLX RichText mit Beispielinhalt

Sie verfügen nun über eine funktionierende RichText-Integration in React. Passen Sie den Code an Ihre Anforderungen an. Ein vollständiges Beispiel ist auf GitHub verfügbar.

Zum Hauptinhalt springen

Integration mit Vue

Tipp

Stellen Sie sicher, dass Sie mit den grundlegenden Vue-Konzepten und -Mustern vertraut sind. Zur Auffrischung lesen Sie die Vue 3-Dokumentation.

DHTMLX RichText funktioniert mit Vue. Ein vollständiges Codebeispiel finden Sie in der GitHub-Demo.

Projekt erstellen​

Info

Installieren Sie Node.js vor dem Erstellen eines neuen Projekts.

Erstellen Sie ein Vue-Projekt mit dem offiziellen Scaffolding-Tool:

npm create vue@latest

Der Befehl installiert und startet create-vue. Wenn der Scaffolder nach einem Projektnamen fragt, verwenden Sie my-vue-richtext-app. Weitere Informationen finden Sie im Vue.js Quick Start.

Abhängigkeiten installieren​

Wechseln Sie in das App-Verzeichnis:

cd my-vue-richtext-app

Installieren Sie die Abhängigkeiten und starten Sie den Entwicklungsserver mit einem Paketmanager.

Für yarn führen Sie aus:

yarn
yarn dev

Für npm führen Sie aus:

npm install
npm run dev

Die App läuft auf localhost (zum Beispiel http://localhost:3000).

RichText erstellen​

Stoppen Sie die App und installieren Sie das RichText-Paket.

Schritt 1. Paket installieren​

Laden Sie das RichText-Testpaket herunter und befolgen Sie die Schritte in der README-Datei. Die Testlizenz ist 30 Tage gültig.

Schritt 2. Komponente erstellen​

Erstellen Sie eine Vue-Komponente, um RichText zur Anwendung hinzuzufügen. Erstellen Sie im Verzeichnis src/components/ eine neue Datei namens Richtext.vue.

Quelldateien importieren​

Öffnen Sie Richtext.vue und importieren Sie die RichText-Quelldateien.

Für die PRO-Version, die aus einem lokalen Ordner installiert wurde, verwenden Sie:

Richtext.vue
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

Für die Testversion verwenden Sie:

Richtext.vue
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

Dieses Tutorial verwendet die Testversion von RichText.

Container festlegen und RichText initialisieren​

Legen Sie ein Container-Element für RichText fest und initialisieren Sie die Komponente mit dem Richtext-Konstruktor in mounted(). Rufen Sie die Methode destructor() in unmounted() auf, um RichText zu entfernen:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
mounted() {
// RichText-Komponente initialisieren
this.editor = new Richtext(this.$refs.richtext_container, {});
},

unmounted() {
this.editor.destructor(); // RichText zerstören
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Stile hinzufügen​

Fügen Sie die Stile für RichText und seinen Container zur Haupt-CSS-Datei des Projekts hinzu:

main.css
/* Basis-Seitenstile */
html,
body,
#app { /* den #app-Root-Container verwenden */
height: 100%;
padding: 0;
margin: 0;
}

/* RichText-Container */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText-Widget */
.widget {
height: calc(100% - 56px);
}

Daten laden​

Stellen Sie Daten für RichText bereit. Erstellen Sie die Datei data.js im Verzeichnis src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Öffnen Sie App.vue, importieren Sie die Daten und initialisieren Sie sie über die Methode data(). Übergeben Sie den Wert als Prop an die <RichText/>-Komponente:

App.vue
<script>
import RichText from "./components/Richtext.vue";
import { getData } from "./data";

export default {
components: { RichText },
data() {
const { value } = getData();
return { value };
}
};
</script>

<template>
<RichText :value="value" />
</template>

Öffnen Sie Richtext.vue und übergeben Sie den Prop-Wert an die RichText-Konfiguration:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
value: this.value,
// weitere Konfigurationseigenschaften
});
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Alternativ können Sie die Methode setValue() in mounted() aufrufen, um Daten in RichText zu laden:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
// weitere Konfigurationseigenschaften
});

this.editor.setValue(this.value);
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Die RichText-Komponente ist einsatzbereit. Vue rendert den Editor mit Daten, wenn das <RichText/>-Element eingebunden wird. Die vollständige Liste der Konfigurationsoptionen finden Sie in der RichText API-Übersicht.

Events verarbeiten​

RichText löst Events bei Benutzeraktionen aus. Abonnieren Sie Events mit der Methode api.on(), um auf Benutzereingaben zu reagieren. Weitere Informationen finden Sie in der vollständigen Event-Liste.

Öffnen Sie Richtext.vue und aktualisieren Sie den mounted()-Hook. Das folgende Beispiel protokolliert bei jedem print-Event eine Meldung:

Richtext.vue
<script>
// ...
export default {
// ...
mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {});

this.editor.api.on("print", () => {
console.log("The document is printing");
});
},

unmounted() {
this.editor.destructor();
}
}
</script>

// ...

Starten Sie die App, um zu sehen, wie RichText mit Daten auf der Seite gerendert wird.

In einer Vue-Anwendung gerendertes DHTMLX RichText mit Beispielinhalt

Sie verfügen nun über eine funktionierende RichText-Integration in Vue. Passen Sie den Code an Ihre Bedürfnisse an. Ein vollständiges Beispiel ist auf GitHub verfügbar.

Zum Hauptinhalt springen

Integration mit Svelte

Tipp

Stellen Sie sicher, dass Sie mit den grundlegenden Svelte-Konzepten und -Mustern vertraut sind. Zur Auffrischung lesen Sie die Svelte-Dokumentation.

DHTMLX RichText funktioniert mit Svelte. Ein vollständiges Codebeispiel finden Sie in der GitHub-Demo.

Projekt erstellen​

Info

Installieren Sie Node.js und (optional) Vite, bevor Sie ein neues Projekt erstellen.

Dieses Tutorial verwendet ein Vite-basiertes Svelte-Projekt. Für SvelteKit und andere Optionen lesen Sie die Svelte-Projektanleitung.

Starten Sie ein neues Vite-Projekt:

npm create vite@latest

Abhängigkeiten installieren​

Wenn der Scaffolder nach einem Projektnamen fragt, verwenden Sie my-svelte-richtext-app. Wechseln Sie dann in das neue Verzeichnis:

cd my-svelte-richtext-app

Installieren Sie die Abhängigkeiten und starten Sie den Entwicklungsserver mit einem Paketmanager.

Für yarn führen Sie aus:

yarn
yarn dev

Für npm führen Sie aus:

npm install
npm run dev

Die Anwendung läuft auf localhost (zum Beispiel http://localhost:3000).

RichText erstellen​

Stoppen Sie die Anwendung und installieren Sie das RichText-Paket.

Schritt 1. Paket installieren​

Laden Sie das RichText-Testpaket herunter und folgen Sie den Schritten in der README-Datei. Die Testlizenz ist 30 Tage lang gültig.

Schritt 2. Komponente erstellen​

Erstellen Sie eine Svelte-Komponente, um RichText zur Anwendung hinzuzufügen. Erstellen Sie im Verzeichnis src/ eine neue Datei namens Richtext.svelte.

Quelldateien importieren​

Öffnen Sie Richtext.svelte und importieren Sie die RichText-Quelldateien.

Für die PRO-Version, die aus einem lokalen Ordner installiert wurde, verwenden Sie:

Richtext.svelte
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

Für die Testversion verwenden Sie:

Richtext.svelte
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

Dieses Tutorial verwendet die Testversion von RichText.

Container festlegen und RichText initialisieren​

Legen Sie ein Container-Element für RichText fest und initialisieren Sie die Komponente innerhalb von onMount(). Rufen Sie die Methode destructor() innerhalb von onDestroy() auf, um RichText zu entfernen:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

let richtext_container; // Container für RichText
let editor;

onMount(() => {
// RichText-Komponente initialisieren
editor = new Richtext(richtext_container, {});
});

onDestroy(() => {
editor?.destructor(); // RichText zerstören
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Stile hinzufügen​

Fügen Sie die Stile für RichText und seinen Container zur CSS-Hauptdatei des Projekts hinzu (zum Beispiel src/app.css):

app.css
/* Basis-Seitenstile */
html,
body {
height: 100%;
padding: 0;
margin: 0;
}

/* RichText-Container */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText-Widget */
.widget {
height: calc(100% - 56px);
}

Daten laden​

Stellen Sie Daten für RichText bereit. Erstellen Sie die Datei data.js im Verzeichnis src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Öffnen Sie App.svelte, importieren Sie die Daten und übergeben Sie den Wert als Prop an die <RichText/>-Komponente:

App.svelte
<script>
import RichText from "./Richtext.svelte";
import { getData } from "./data.js";

const { value } = getData();
</script>

<RichText value={value} />

Öffnen Sie Richtext.svelte und übergeben Sie den Prop-Wert an die RichText-Konfiguration:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
value
// andere Konfigurationseigenschaften
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Alternativ können Sie die Methode setValue() innerhalb von onMount() aufrufen, um Daten in RichText zu laden:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
// andere Konfigurationseigenschaften
});

editor.setValue(value);
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Die RichText-Komponente ist einsatzbereit. Svelte rendert den Editor mit Daten, wenn das <RichText/>-Element eingebunden wird. Die vollständige Liste der Konfigurationsoptionen finden Sie in der RichText-API-Übersicht.

Events verarbeiten​

RichText löst Events bei Benutzeraktionen aus. Abonnieren Sie Events mit der Methode api.on(), um auf Benutzereingaben zu reagieren. Lesen Sie die vollständige Liste der Events.

Öffnen Sie Richtext.svelte und aktualisieren Sie den onMount()-Hook. Das folgende Beispiel protokolliert eine Meldung bei jedem print-Event:

Richtext.svelte
<script>
// ...
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {});

editor.api.on("print", () => {
console.log("The document is printing");
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

// ...

Starten Sie die Anwendung, um zu sehen, wie RichText mit Daten auf der Seite gerendert wird.

In einer Svelte-Anwendung gerendertes DHTMLX RichText mit Beispielinhalt

Sie haben jetzt eine funktionierende RichText-Integration in Svelte. Passen Sie den Code an Ihre Anforderungen an. Ein vollständiges Beispiel ist auf GitHub verfügbar.